> ## Documentation Index
> Fetch the complete documentation index at: https://studio.assembly.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the current user

> Returns the user that owns the API key making the request.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/me
openapi: 3.0.0
info:
  contact: {}
  title: Assembly API
  version: 0.0.1
servers:
  - url: https://api.assembly.com
security: []
paths:
  /v1/me:
    get:
      tags:
        - Me
      summary: Retrieve the current user
      description: Returns the user that owns the API key making the request.
      operationId: retrieve-me
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/me.MeResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Missing or invalid API key
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: The API key doesn't have permissions to perform the request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: User not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispatcher.Error'
          description: Unexpected server error
      security:
        - APIKeyHeader: []
components:
  schemas:
    me.MeResponse:
      properties:
        email:
          description: Email is the authenticated user's email address.
          example: alex.morgan@example.com
          format: email
          type: string
        familyName:
          description: FamilyName is the authenticated user's last (family) name.
          example: Morgan
          type: string
        givenName:
          description: GivenName is the authenticated user's first (given) name.
          example: Alex
          type: string
        id:
          description: ID is the unique identifier of the authenticated user.
          example: 550e8400-e29b-41d4-a716-446655440000
          format: uuid
          type: string
      type: object
    dispatcher.Error:
      properties:
        code:
          type: string
        data: {}
        message:
          type: string
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-KEY
      type: apiKey

````